<?php

/**
 * @file
 * 03-Common.inc
 *
 * Contains all responses common to all entities (Ds_Response).
 */

return [
  101 => [
    'code' => '0101',
    'error' => '',
    'message' => 'Tarjeta caducada',
    'detail' => 'Tarjeta caducada',
  ],
  129 => [
    'code' => '0129',
    'error' => '',
    'message' => 'Código de seguridad CVV incorrecto.',
    'detail' => 'Código de seguridad CVV incorrecto.',
  ],
  180 => [
    'code' => '0180',
    'error' => '',
    'message' => 'Denegación emisor',
    'detail' => 'Denegación emisor',
  ],
  184 => [
    'code' => '0184',
    'error' => '',
    'message' => 'El cliente de la operación no se ha autenticado',
    'detail' => 'El cliente de la operación no se ha autenticado',
  ],
  190 => [
    'code' => '0190',
    'error' => '',
    'message' => 'Denegación emisor',
    'detail' => 'Denegación emisor',
  ],
  904 => [
    'code' => '0904',
    'error' => '',
    'message' => 'Problema con la configuración de su comercio. Dirigirse a la entidad.',
    'detail' => 'Problema con la configuración de su comercio. Dirigirse a la entidad.',
  ],
  915 => [
    'code' => '0915',
    'error' => '',
    'message' => 'El titular ha cancelado la operación de pago.',
    'detail' => 'El titular ha cancelado la operación de pago.',
  ],
  9001 => [
    'code' => '9001',
    'error' => 'SIS0001',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9002 => [
    'code' => '9002',
    'error' => 'SIS0002',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9003 => [
    'code' => '9003',
    'error' => 'SIS0003',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9004 => [
    'code' => '9004',
    'error' => 'SIS0004',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9005 => [
    'code' => '9005',
    'error' => 'SIS0005',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9006 => [
    'code' => '9006',
    'error' => 'SIS0006',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9007 => [
    'code' => '9007',
    'error' => 'SIS0007',
    'message' => 'El mensaje de petición no es correcto, debe revisar el formato',
    'detail' => 'El mensaje de petición no es correcto, debe revisar el formato',
  ],
  9008 => [
    'code' => '9008',
    'error' => 'SIS0008',
    'message' => 'Falta Ds_Merchant_MerchantCode',
    'detail' => 'Falta Ds_Merchant_MerchantCode',
  ],
  9009 => [
    'code' => '9009',
    'error' => 'SIS0009',
    'message' => 'Error de formato en Ds_Merchant_MerchantCode',
    'detail' => 'Error de formato en Ds_Merchant_MerchantCode',
  ],
  9010 => [
    'code' => '9010',
    'error' => 'SIS0010',
    'message' => 'Error falta Ds_Merchant_Terminal',
    'detail' => 'Error falta Ds_Merchant_Terminal',
  ],
  9011 => [
    'code' => '9011',
    'error' => 'SIS0011',
    'message' => 'Error de formato en Ds_Merchant_Terminal',
    'detail' => 'Error de formato en Ds_Merchant_Terminal',
  ],
  9012 => [
    'code' => '9012',
    'error' => 'SIS0012',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9013 => [
    'code' => '9013',
    'error' => 'SIS0013',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9014 => [
    'code' => '9014',
    'error' => 'SIS0014',
    'message' => 'Error de formato en Ds_Merchant_Order',
    'detail' => 'Error de formato en Ds_Merchant_Order',
  ],
  9015 => [
    'code' => '9015',
    'error' => 'SIS0015',
    'message' => 'Error falta Ds_Merchant_Currency',
    'detail' => 'Error falta Ds_Merchant_Currency',
  ],
  9016 => [
    'code' => '9016',
    'error' => 'SIS0016',
    'message' => 'Error de formato en Ds_Merchant_Currency',
    'detail' => 'Error de formato en Ds_Merchant_Currency',
  ],
  9018 => [
    'code' => '9018',
    'error' => 'SIS0018',
    'message' => 'Falta Ds_Merchant_Amount',
    'detail' => 'Falta Ds_Merchant_Amount',
  ],
  9019 => [
    'code' => '9019',
    'error' => 'SIS0019',
    'message' => 'Error de formato en Ds_Merchant_Amount',
    'detail' => 'Error de formato en Ds_Merchant_Amount',
  ],
  9020 => [
    'code' => '9020',
    'error' => 'SIS0020',
    'message' => 'Falta Ds_Merchant_MerchantSignature',
    'detail' => 'Falta Ds_Merchant_MerchantSignature',
  ],
  9021 => [
    'code' => '9021',
    'error' => 'SIS0021',
    'message' => 'La Ds_Merchant_MerchantSignature viene vacía',
    'detail' => 'La Ds_Merchant_MerchantSignature viene vacía',
  ],
  9022 => [
    'code' => '9022',
    'error' => 'SIS0022',
    'message' => 'Error de formato en Ds_Merchant_TransactionType',
    'detail' => 'Error de formato en Ds_Merchant_TransactionType',
  ],
  9023 => [
    'code' => '9023',
    'error' => 'SIS0023',
    'message' => 'Ds_Merchant_TransactionType desconocido',
    'detail' => 'Ds_Merchant_TransactionType desconocido',
  ],
  9024 => [
    'code' => '9024',
    'error' => 'SIS0024',
    'message' => 'El Ds_Merchant_ConsumerLanguage tiene mas de 3 posiciones',
    'detail' => 'El Ds_Merchant_ConsumerLanguage tiene mas de 3 posiciones',
  ],
  9025 => [
    'code' => '9025',
    'error' => 'SIS0025',
    'message' => 'Error de formato en Ds_Merchant_ConsumerLanguage',
    'detail' => 'Error de formato en Ds_Merchant_ConsumerLanguage',
  ],
  9026 => [
    'code' => '9026',
    'error' => 'SIS0026',
    'message' => 'Problema con la configuración',
    'detail' => 'Problema con la configuración',
  ],
  9027 => [
    'code' => '9027',
    'error' => 'SIS0027',
    'message' => 'Revisar la moneda que está enviando',
    'detail' => 'Revisar la moneda que está enviando',
  ],
  9028 => [
    'code' => '9028',
    'error' => 'SIS0028',
    'message' => 'Error Comercio / terminal está dado de baja',
    'detail' => 'Error Comercio / terminal está dado de baja',
  ],
  9029 => [
    'code' => '9029',
    'error' => 'SIS0029',
    'message' => 'Revise como está montando el mensaje',
    'detail' => 'Revise como está montando el mensaje',
  ],
  9030 => [
    'code' => '9030',
    'error' => 'SIS0030',
    'message' => 'Nos llega un tipo de operación errónea',
    'detail' => 'Nos llega un tipo de operación errónea',
  ],
  9031 => [
    'code' => '9031',
    'error' => 'SIS0031',
    'message' => 'Nos está llegando un método de pago erróneo',
    'detail' => 'Nos está llegando un método de pago erróneo',
  ],
  9032 => [
    'code' => '9032',
    'error' => 'SIS0032',
    'message' => 'Revisar como está montando el mensaje para la devolución.',
    'detail' => 'Revisar como está montando el mensaje para la devolución.',
  ],
  9033 => [
    'code' => '9033',
    'error' => 'SIS0033',
    'message' => 'El tipo de operación es erróneo',
    'detail' => 'El tipo de operación es erróneo',
  ],
  9034 => [
    'code' => '9034',
    'error' => 'SIS0034',
    'message' => 'Error interno',
    'detail' => 'Error interno',
  ],
  9035 => [
    'code' => '9035',
    'error' => 'SIS0035',
    'message' => 'Error interno al recuperar datos de sesión',
    'detail' => 'Error interno al recuperar datos de sesión',
  ],
  9037 => [
    'code' => '9037',
    'error' => 'SIS0037',
    'message' => 'El número de teléfono no es válido',
    'detail' => 'El número de teléfono no es válido',
  ],
  9038 => [
    'code' => '9038',
    'error' => 'SIS0038',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9039 => [
    'code' => '9039',
    'error' => 'SIS0039',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9040 => [
    'code' => '9040',
    'error' => 'SIS0040',
    'message' => 'El comercio tiene un error en la configuración, tienen que hablar con su entidad.',
    'detail' => 'El comercio tiene un error en la configuración, tienen que hablar con su entidad.',
  ],
  9041 => [
    'code' => '9041',
    'error' => 'SIS0041',
    'message' => 'Error en el cálculo de la firma',
    'detail' => 'Error en el cálculo de la firma',
  ],
  9042 => [
    'code' => '9042',
    'error' => 'SIS0042',
    'message' => 'Error en el cálculo de la firma',
    'detail' => 'Error en el cálculo de la firma',
  ],
  9043 => [
    'code' => '9043',
    'error' => 'SIS0043',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9044 => [
    'code' => '9044',
    'error' => 'SIS0044',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9046 => [
    'code' => '9046',
    'error' => 'SIS0046',
    'message' => 'Problema con la configuración del bin de la tarjeta',
    'detail' => 'Problema con la configuración del bin de la tarjeta',
  ],
  9047 => [
    'code' => '9047',
    'error' => 'SIS0047',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9048 => [
    'code' => '9048',
    'error' => 'SIS0048',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9049 => [
    'code' => '9049',
    'error' => 'SIS0049',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9050 => [
    'code' => '9050',
    'error' => 'SIS0050',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9051 => [
    'code' => '9051',
    'error' => 'SIS0051',
    'message' => 'Error número de pedido repetido',
    'detail' => 'Error número de pedido repetido',
  ],
  9052 => [
    'code' => '9052',
    'error' => 'SIS0052',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9053 => [
    'code' => '9053',
    'error' => 'SIS0053',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9054 => [
    'code' => '9054',
    'error' => 'SIS0054',
    'message' => 'No existe operación sobre la que realizar la devolución',
    'detail' => 'No existe operación sobre la que realizar la devolución',
  ],
  9055 => [
    'code' => '9055',
    'error' => 'SIS0055',
    'message' => 'Existe más de un pago con el mismo número de pedido',
    'detail' => 'Existe más de un pago con el mismo número de pedido',
  ],
  9056 => [
    'code' => '9056',
    'error' => 'SIS0056',
    'message' => 'Revisar el estado de la autorización',
    'detail' => 'Revisar el estado de la autorización',
  ],
  9057 => [
    'code' => '9057',
    'error' => 'SIS0057',
    'message' => 'Revise el importe que quiere devolver (supera el permitido)',
    'detail' => 'Revise el importe que quiere devolver (supera el permitido)',
  ],
  9058 => [
    'code' => '9058',
    'error' => 'SIS0058',
    'message' => 'Revise los datos con los que está validando la confirmación',
    'detail' => 'Revise los datos con los que está validando la confirmación',
  ],
  9059 => [
    'code' => '9059',
    'error' => 'SIS0059',
    'message' => 'Revisar que existe esa operación',
    'detail' => 'Revisar que existe esa operación',
  ],
  9060 => [
    'code' => '9060',
    'error' => 'SIS0060',
    'message' => 'Revisar que exista la confirmación',
    'detail' => 'Revisar que exista la confirmación',
  ],
  9061 => [
    'code' => '9061',
    'error' => 'SIS0061',
    'message' => 'Revisar el estado de la preautorización',
    'detail' => 'Revisar el estado de la preautorización',
  ],
  9062 => [
    'code' => '9062',
    'error' => 'SIS0062',
    'message' => 'Revise el importe a confirmar.',
    'detail' => 'Revise el importe a confirmar.',
  ],
  9063 => [
    'code' => '9063',
    'error' => 'SIS0063',
    'message' => 'Revise el número de tarjeta que nos están enviando.',
    'detail' => 'Revise el número de tarjeta que nos están enviando.',
  ],
  9064 => [
    'code' => '9064',
    'error' => 'SIS0064',
    'message' => 'Número de posiciones de la tarjeta incorrecto',
    'detail' => 'Número de posiciones de la tarjeta incorrecto',
  ],
  9065 => [
    'code' => '9065',
    'error' => 'SIS0065',
    'message' => 'El número de tarjeta no es numérico',
    'detail' => 'El número de tarjeta no es numérico',
  ],
  9066 => [
    'code' => '9066',
    'error' => 'SIS0066',
    'message' => 'Error mes de caducidad',
    'detail' => 'Error mes de caducidad',
  ],
  9067 => [
    'code' => '9067',
    'error' => 'SIS0067',
    'message' => 'El mes de la caducidad no es numérico',
    'detail' => 'El mes de la caducidad no es numérico',
  ],
  9068 => [
    'code' => '9068',
    'error' => 'SIS0068',
    'message' => 'El mes de la caducidad no es válido',
    'detail' => 'El mes de la caducidad no es válido',
  ],
  9069 => [
    'code' => '9069',
    'error' => 'SIS0069',
    'message' => 'Año de caducidad no valido',
    'detail' => 'Año de caducidad no valido',
  ],
  9070 => [
    'code' => '9070',
    'error' => 'SIS0070',
    'message' => 'El Año de la caducidad no es numérico',
    'detail' => 'El Año de la caducidad no es numérico',
  ],
  9071 => [
    'code' => '9071',
    'error' => 'SIS0071',
    'message' => 'Tarjeta caducada',
    'detail' => 'Tarjeta caducada',
  ],
  9072 => [
    'code' => '9072',
    'error' => 'SIS0072',
    'message' => 'Operación no anulable',
    'detail' => 'Operación no anulable',
  ],
  9073 => [
    'code' => '9073',
    'error' => 'SIS0073',
    'message' => 'Error en la anulación',
    'detail' => 'Error en la anulación',
  ],
  9074 => [
    'code' => '9074',
    'error' => 'SIS0074',
    'message' => 'Falta Ds_Merchant_Order (Pedido)',
    'detail' => 'Falta Ds_Merchant_Order (Pedido)',
  ],
  9075 => [
    'code' => '9075',
    'error' => 'SIS0075',
    'message' => 'Revisar cómo está enviando el número de pedido',
    'detail' => 'Revisar cómo está enviando el número de pedido',
  ],
  9076 => [
    'code' => '9076',
    'error' => 'SIS0076',
    'message' => 'Revisar el número de pedido',
    'detail' => 'Revisar el número de pedido',
  ],
  9077 => [
    'code' => '9077',
    'error' => 'SIS0077',
    'message' => 'Revisar el número de pedido',
    'detail' => 'Revisar el número de pedido',
  ],
  9078 => [
    'code' => '9078',
    'error' => 'SIS0078',
    'message' => 'Por la configuración de los métodos de pago de su comercio no se permiten los pagos con esa tarjeta.',
    'detail' => 'Por la configuración de los métodos de pago de su comercio no se permiten los pagos con esa tarjeta.',
  ],
  9079 => [
    'code' => '9079',
    'error' => 'SIS0079',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9080 => [
    'code' => '9080',
    'error' => 'SIS0080',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9081 => [
    'code' => '9081',
    'error' => 'SIS0081',
    'message' => 'Se han perdido los datos de la sesión',
    'detail' => 'Se han perdido los datos de la sesión',
  ],
  9082 => [
    'code' => '9082',
    'error' => 'SIS0082',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9083 => [
    'code' => '9083',
    'error' => 'SIS0083',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9084 => [
    'code' => '9084',
    'error' => 'SIS0084',
    'message' => 'El valor de Ds_Merchant_Conciliation es nulo.',
    'detail' => 'El valor de Ds_Merchant_Conciliation es nulo.',
  ],
  9085 => [
    'code' => '9085',
    'error' => 'SIS0085',
    'message' => 'El valor de Ds_Merchant_Conciliation no es numérico.',
    'detail' => 'El valor de Ds_Merchant_Conciliation no es numérico.',
  ],
  9086 => [
    'code' => '9086',
    'error' => 'SIS0086',
    'message' => 'El valor de Ds_Merchant_Conciliation no ocupa 6 posiciones.',
    'detail' => 'El valor de Ds_Merchant_Conciliation no ocupa 6 posiciones.',
  ],
  9088 => [
    'code' => '9088',
    'error' => 'SIS0088',
    'message' => 'Revisar el valor que envía en ese campo.',
    'detail' => 'Revisar el valor que envía en ese campo.',
  ],
  9089 => [
    'code' => '9089',
    'error' => 'SIS0089',
    'message' => 'El valor de caducidad no ocupa 4 posiciones.',
    'detail' => 'El valor de caducidad no ocupa 4 posiciones.',
  ],
  9090 => [
    'code' => '9090',
    'error' => 'SIS0090',
    'message' => 'Error genérico. Consulte con Soporte.',
    'detail' => 'Error genérico. Consulte con Soporte.',
  ],
  9091 => [
    'code' => '9091',
    'error' => 'SIS0091',
    'message' => 'Error genérico. Consulte con Soporte.',
    'detail' => 'Error genérico. Consulte con Soporte.',
  ],
  9092 => [
    'code' => '9092',
    'error' => 'SIS0092',
    'message' => 'Se ha introducido una caducidad incorrecta.',
    'detail' => 'Se ha introducido una caducidad incorrecta.',
  ],
  9093 => [
    'code' => '9093',
    'error' => 'SIS0093',
    'message' => 'Denegación emisor',
    'detail' => 'Denegación emisor',
  ],
  9094 => [
    'code' => '9094',
    'error' => 'SIS0094',
    'message' => 'Denegación emisor',
    'detail' => 'Denegación emisor',
  ],
  9095 => [
    'code' => '9095',
    'error' => 'SIS0095',
    'message' => 'Denegación emisor',
    'detail' => 'Denegación emisor',
  ],
  9099 => [
    'code' => '9099',
    'error' => 'SIS0099',
    'message' => 'Error al interpretar respuesta de autenticación',
    'detail' => 'Error al interpretar respuesta de autenticación',
  ],
  9103 => [
    'code' => '9103',
    'error' => 'SIS0103',
    'message' => 'Error al montar la petición de Autenticación',
    'detail' => 'Error al montar la petición de Autenticación',
  ],
  9104 => [
    'code' => '9104',
    'error' => 'SIS0104',
    'message' => 'Comercio con "titular seguro" y titular sin clave de compra segura',
    'detail' => 'Comercio con "titular seguro" y titular sin clave de compra segura',
  ],
  9112 => [
    'code' => '9112',
    'error' => 'SIS0112',
    'message' => 'Revise que está enviando en el campo Ds_Merchant_Transacction_Type.',
    'detail' => 'Revise que está enviando en el campo Ds_Merchant_Transacction_Type.',
  ],
  9113 => [
    'code' => '9113',
    'error' => 'SIS0113',
    'message' => 'Error interno',
    'detail' => 'Error interno',
  ],
  9114 => [
    'code' => '9114',
    'error' => 'SIS0114',
    'message' => 'Se está realizando la llamada por GET, la tiene que realizar por POST',
    'detail' => 'Se está realizando la llamada por GET, la tiene que realizar por POST',
  ],
  9115 => [
    'code' => '9115',
    'error' => 'SIS0115',
    'message' => 'Revise los datos de la operación que nos está enviando',
    'detail' => 'Revise los datos de la operación que nos está enviando',
  ],
  9116 => [
    'code' => '9116',
    'error' => 'SIS0116',
    'message' => 'La operación sobre la que se desea pagar una cuota no es una operación válida',
    'detail' => 'La operación sobre la que se desea pagar una cuota no es una operación válida',
  ],
  9117 => [
    'code' => '9117',
    'error' => 'SIS0117',
    'message' => 'La operación sobre la que se desea pagar una cuota no está autorizada',
    'detail' => 'La operación sobre la que se desea pagar una cuota no está autorizada',
  ],
  9118 => [
    'code' => '9118',
    'error' => 'SIS0118',
    'message' => 'Se ha excedido el importe total de las cuotas',
    'detail' => 'Se ha excedido el importe total de las cuotas',
  ],
  9119 => [
    'code' => '9119',
    'error' => 'SIS0119',
    'message' => 'Valor del campo Ds_Merchant_DateFrecuency no válido (Pagos recurrentes)',
    'detail' => 'Valor del campo Ds_Merchant_DateFrecuency no válido (Pagos recurrentes)',
  ],
  9120 => [
    'code' => '9120',
    'error' => 'SIS0120',
    'message' => 'Valor del campo Ds_Merchant_ChargeExpiryDate no válido',
    'detail' => 'Valor del campo Ds_Merchant_ChargeExpiryDate no válido',
  ],
  9121 => [
    'code' => '9121',
    'error' => 'SIS0121',
    'message' => 'Valor del campo Ds_Merchant_SumTotal no válido',
    'detail' => 'Valor del campo Ds_Merchant_SumTotal no válido',
  ],
  9122 => [
    'code' => '9122',
    'error' => 'SIS0122',
    'message' => 'Formato incorrecto del campo Ds_Merchant_DateFrecuency o Ds_Merchant_SumTotal',
    'detail' => 'Formato incorrecto del campo Ds_Merchant_DateFrecuency o Ds_Merchant_SumTotal',
  ],
  9123 => [
    'code' => '9123',
    'error' => 'SIS0123',
    'message' => 'Se ha excedido la fecha tope para realiza la Transacción',
    'detail' => 'Se ha excedido la fecha tope para realiza la Transacción',
  ],
  9124 => [
    'code' => '9124',
    'error' => 'SIS0124',
    'message' => 'No ha transcurrido la frecuencia mínima en un pago recurrente sucesivo',
    'detail' => 'No ha transcurrido la frecuencia mínima en un pago recurrente sucesivo',
  ],
  9125 => [
    'code' => '9125',
    'error' => 'SIS0125',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9126 => [
    'code' => '9126',
    'error' => 'SIS0126',
    'message' => 'Operación Duplicada',
    'detail' => 'Operación Duplicada',
  ],
  9127 => [
    'code' => '9127',
    'error' => 'SIS0127',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9128 => [
    'code' => '9128',
    'error' => 'SIS0128',
    'message' => 'Error interno',
    'detail' => 'Error interno',
  ],
  9130 => [
    'code' => '9130',
    'error' => 'SIS0130',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9131 => [
    'code' => '9131',
    'error' => 'SIS0131',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9132 => [
    'code' => '9132',
    'error' => 'SIS0132',
    'message' => 'La fecha de Confirmación de Autorización no puede superar en más de 7 dias a la de Preautorización.',
    'detail' => 'La fecha de Confirmación de Autorización no puede superar en más de 7 dias a la de Preautorización.',
  ],
  9133 => [
    'code' => '9133',
    'error' => 'SIS0133',
    'message' => 'La fecha de Confirmación de Autenticación no puede superar en más de 45 días a la de Autenticacion Previa, revise la fecha de la Preautenticación',
    'detail' => 'La fecha de Confirmación de Autenticación no puede superar en más de 45 días a la de Autenticacion Previa, revise la fecha de la Preautenticación',
  ],
  9139 => [
    'code' => '9139',
    'error' => 'SIS0139',
    'message' => 'El pago recurrente inicial está duplicado',
    'detail' => 'El pago recurrente inicial está duplicado',
  ],
  9140 => [
    'code' => '9140',
    'error' => 'SIS0140',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9142 => [
    'code' => '9142',
    'error' => 'SIS0142',
    'message' => 'Tiempo excedido para el pago',
    'detail' => 'Tiempo excedido para el pago',
  ],
  9151 => [
    'code' => '9151',
    'error' => 'SIS0151',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9169 => [
    'code' => '9169',
    'error' => 'SIS0169',
    'message' => 'El valor del campo Ds_Merchant_MatchingData (Datos de Case) no es válido.',
    'detail' => 'El valor del campo Ds_Merchant_MatchingData (Datos de Case) no es válido.',
  ],
  9170 => [
    'code' => '9170',
    'error' => 'SIS0170',
    'message' => 'Revise el adquirente que manda en el campo',
    'detail' => 'Revise el adquirente que manda en el campo',
  ],
  9171 => [
    'code' => '9171',
    'error' => 'SIS0171',
    'message' => 'Revise el CSB que nos está enviando',
    'detail' => 'Revise el CSB que nos está enviando',
  ],
  9172 => [
    'code' => '9172',
    'error' => 'SIS0172',
    'message' => 'El valor del campo PUCE Ds_Merchant_MerchantCode no es válido',
    'detail' => 'El valor del campo PUCE Ds_Merchant_MerchantCode no es válido',
  ],
  9173 => [
    'code' => '9173',
    'error' => 'SIS0173',
    'message' => 'Revise el campo de la URL OK',
    'detail' => 'Revise el campo de la URL OK',
  ],
  9174 => [
    'code' => '9174',
    'error' => 'SIS0174',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9175 => [
    'code' => '9175',
    'error' => 'SIS0175',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9181 => [
    'code' => '9181',
    'error' => 'SIS0181',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9182 => [
    'code' => '9182',
    'error' => 'SIS0182',
    'message' => 'Error Interno',
    'detail' => 'Error Interno',
  ],
  9183 => [
    'code' => '9183',
    'error' => 'SIS0183',
    'message' => 'Error interno',
    'detail' => 'Error interno',
  ],
  9184 => [
    'code' => '9184',
    'error' => 'SIS0184',
    'message' => 'Error interno',
    'detail' => 'Error interno',
  ],
  9187 => [
    'code' => '9187',
    'error' => 'SIS0187',
    'message' => 'Error formato (Interno)',
    'detail' => 'Error formato (Interno)',
  ],
  9197 => [
    'code' => '9197',
    'error' => 'SIS0197',
    'message' => 'Error al obtener los datos de cesta de la compra',
    'detail' => 'Error al obtener los datos de cesta de la compra',
  ],
  9214 => [
    'code' => '9214',
    'error' => 'SIS0214',
    'message' => 'Su comercio no permite devoluciones por el tipo de firma (Completo)',
    'detail' => 'Su comercio no permite devoluciones por el tipo de firma (Completo)',
  ],
  9216 => [
    'code' => '9216',
    'error' => 'SIS0216',
    'message' => 'El CVV2 tiene mas de 3 posiciones',
    'detail' => 'El CVV2 tiene mas de 3 posiciones',
  ],
  9217 => [
    'code' => '9217',
    'error' => 'SIS0217',
    'message' => 'Error de formato en el CVV2',
    'detail' => 'Error de formato en el CVV2',
  ],
  9218 => [
    'code' => '9218',
    'error' => 'SIS0218',
    'message' => 'El comercio no permite operaciónes seguras por las entradas "operaciónes" o "WebService"',
    'detail' => 'El comercio no permite operaciónes seguras por las entradas "operaciónes" o "WebService"',
  ],
  9219 => [
    'code' => '9219',
    'error' => 'SIS0219',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9220 => [
    'code' => '9220',
    'error' => 'SIS0220',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9221 => [
    'code' => '9221',
    'error' => 'SIS0221',
    'message' => 'El cliente no está introduciendo el CVV2',
    'detail' => 'El cliente no está introduciendo el CVV2',
  ],
  9222 => [
    'code' => '9222',
    'error' => 'SIS0222',
    'message' => 'Existe una anulación asociada a la preautorización',
    'detail' => 'Existe una anulación asociada a la preautorización',
  ],
  9223 => [
    'code' => '9223',
    'error' => 'SIS0223',
    'message' => 'La preautorización que se desea anular no está autorizada',
    'detail' => 'La preautorización que se desea anular no está autorizada',
  ],
  9224 => [
    'code' => '9224',
    'error' => 'SIS0224',
    'message' => 'Su comercio no permite anulaciones por no tener la firma ampliada',
    'detail' => 'Su comercio no permite anulaciones por no tener la firma ampliada',
  ],
  9225 => [
    'code' => '9225',
    'error' => 'SIS0225',
    'message' => 'No existe operación sobre la que realizar la anulación',
    'detail' => 'No existe operación sobre la que realizar la anulación',
  ],
  9226 => [
    'code' => '9226',
    'error' => 'SIS0226',
    'message' => 'Error en en los datos de la anulación manual',
    'detail' => 'Error en en los datos de la anulación manual',
  ],
  9227 => [
    'code' => '9227',
    'error' => 'SIS0227',
    'message' => 'Revise el campo Ds_Merchant_TransactionDate',
    'detail' => 'Revise el campo Ds_Merchant_TransactionDate',
  ],
  9228 => [
    'code' => '9228',
    'error' => 'SIS0228',
    'message' => 'El tipo de tarjeta no puede realizar pago aplazado',
    'detail' => 'El tipo de tarjeta no puede realizar pago aplazado',
  ],
  9229 => [
    'code' => '9229',
    'error' => 'SIS0229',
    'message' => 'Error con el código de aplazamiento',
    'detail' => 'Error con el código de aplazamiento',
  ],
  9230 => [
    'code' => '9230',
    'error' => 'SIS0230',
    'message' => 'Su comercio no permite pago fraccionado (consulte a su entidad)',
    'detail' => 'Su comercio no permite pago fraccionado (consulte a su entidad)',
  ],
  9231 => [
    'code' => '9231',
    'error' => 'SIS0231',
    'message' => 'No hay forma de pago aplicable (consulte con su entidad)',
    'detail' => 'No hay forma de pago aplicable (consulte con su entidad)',
  ],
  9232 => [
    'code' => '9232',
    'error' => 'SIS0232',
    'message' => 'Forma de pago no disponible',
    'detail' => 'Forma de pago no disponible',
  ],
  9233 => [
    'code' => '9233',
    'error' => 'SIS0233',
    'message' => 'Forma de pago desconocida',
    'detail' => 'Forma de pago desconocida',
  ],
  9234 => [
    'code' => '9234',
    'error' => 'SIS0234',
    'message' => 'Nombre del titular de la cuenta no disponible',
    'detail' => 'Nombre del titular de la cuenta no disponible',
  ],
  9235 => [
    'code' => '9235',
    'error' => 'SIS0235',
    'message' => 'Campo Sis_Numero_Entidad no disponible',
    'detail' => 'Campo Sis_Numero_Entidad no disponible',
  ],
  9236 => [
    'code' => '9236',
    'error' => 'SIS0236',
    'message' => 'El campo Sis_Numero_Entidad no tiene la longitud requerida',
    'detail' => 'El campo Sis_Numero_Entidad no tiene la longitud requerida',
  ],
  9237 => [
    'code' => '9237',
    'error' => 'SIS0237',
    'message' => 'El campo Sis_Numero_Entidad no es numérico',
    'detail' => 'El campo Sis_Numero_Entidad no es numérico',
  ],
  9238 => [
    'code' => '9238',
    'error' => 'SIS0238',
    'message' => 'Campo Sis_Numero_Oficina no disponible',
    'detail' => 'Campo Sis_Numero_Oficina no disponible',
  ],
  9239 => [
    'code' => '9239',
    'error' => 'SIS0239',
    'message' => 'El campo Sis_Numero_Oficina no tiene la longitud requerida',
    'detail' => 'El campo Sis_Numero_Oficina no tiene la longitud requerida',
  ],
  9240 => [
    'code' => '9240',
    'error' => 'SIS0240',
    'message' => 'El campo Sis_Numero_Oficina no es numérico',
    'detail' => 'El campo Sis_Numero_Oficina no es numérico',
  ],
  9241 => [
    'code' => '9241',
    'error' => 'SIS0241',
    'message' => 'Campo Sis_Numero_DC no disponible',
    'detail' => 'Campo Sis_Numero_DC no disponible',
  ],
  9242 => [
    'code' => '9242',
    'error' => 'SIS0242',
    'message' => 'El campo Sis_Numero_DC no tiene la longitud requerida',
    'detail' => 'El campo Sis_Numero_DC no tiene la longitud requerida',
  ],
  9243 => [
    'code' => '9243',
    'error' => 'SIS0243',
    'message' => 'El campo Sis_Numero_DC no es numérico',
    'detail' => 'El campo Sis_Numero_DC no es numérico',
  ],
  9244 => [
    'code' => '9244',
    'error' => 'SIS0244',
    'message' => 'Campo Sis_Numero_Cuenta no disponible',
    'detail' => 'Campo Sis_Numero_Cuenta no disponible',
  ],
  9245 => [
    'code' => '9245',
    'error' => 'SIS0245',
    'message' => 'El campo Sis_Numero_Cuenta no tiene la longitud requerida',
    'detail' => 'El campo Sis_Numero_Cuenta no tiene la longitud requerida',
  ],
  9246 => [
    'code' => '9246',
    'error' => 'SIS0246',
    'message' => 'El campo Sis_Numero_Cuenta no es numérico',
    'detail' => 'El campo Sis_Numero_Cuenta no es numérico',
  ],
  9247 => [
    'code' => '9247',
    'error' => 'SIS0247',
    'message' => 'Dígito de Control de Cuenta Cliente no válido',
    'detail' => 'Dígito de Control de Cuenta Cliente no válido',
  ],
  9248 => [
    'code' => '9248',
    'error' => 'SIS0248',
    'message' => 'El comercio no permite pago por domiciliación',
    'detail' => 'El comercio no permite pago por domiciliación',
  ],
  9249 => [
    'code' => '9249',
    'error' => 'SIS0249',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9250 => [
    'code' => '9250',
    'error' => 'SIS0250',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9251 => [
    'code' => '9251',
    'error' => 'SIS0251',
    'message' => 'No permite transferencias (consultar con entidad)',
    'detail' => 'No permite transferencias (consultar con entidad)',
  ],
  9252 => [
    'code' => '9252',
    'error' => 'SIS0252',
    'message' => 'Por su configuración no puede enviar la tarjeta (para modificarlo consultar con la entidad)',
    'detail' => 'Por su configuración no puede enviar la tarjeta (para modificarlo consultar con la entidad)',
  ],
  9253 => [
    'code' => '9253',
    'error' => 'SIS0253',
    'message' => 'No se ha tecleado correctamente la tarjeta.',
    'detail' => 'No se ha tecleado correctamente la tarjeta.',
  ],
  9254 => [
    'code' => '9254',
    'error' => 'SIS0254',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9255 => [
    'code' => '9255',
    'error' => 'SIS0255',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9256 => [
    'code' => '9256',
    'error' => 'SIS0256',
    'message' => 'El comercio no permite operativa de preautorización',
    'detail' => 'El comercio no permite operativa de preautorización',
  ],
  9257 => [
    'code' => '9257',
    'error' => 'SIS0257',
    'message' => 'La tarjeta no permite operativa de preautorización',
    'detail' => 'La tarjeta no permite operativa de preautorización',
  ],
  9258 => [
    'code' => '9258',
    'error' => 'SIS0258',
    'message' => 'Tienen que revisar los datos de la validación',
    'detail' => 'Tienen que revisar los datos de la validación',
  ],
  9259 => [
    'code' => '9259',
    'error' => 'SIS0259',
    'message' => 'No existe la operación original para notificar o consultar',
    'detail' => 'No existe la operación original para notificar o consultar',
  ],
  9260 => [
    'code' => '9260',
    'error' => 'SIS0260',
    'message' => 'Entrada incorrecta al SIS',
    'detail' => 'Entrada incorrecta al SIS',
  ],
  9261 => [
    'code' => '9261',
    'error' => 'SIS0261',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9280 => [
    'code' => '9280',
    'error' => 'SIS0280',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9281 => [
    'code' => '9281',
    'error' => 'SIS0281',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9282 => [
    'code' => '9282',
    'error' => 'SIS0282',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9283 => [
    'code' => '9283',
    'error' => 'SIS0334',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9284 => [
    'code' => '9284',
    'error' => 'SIS0284',
    'message' => 'No existe operación sobre la que realizar el Pago Adicional',
    'detail' => 'No existe operación sobre la que realizar el Pago Adicional',
  ],
  9285 => [
    'code' => '9285',
    'error' => 'SIS0285',
    'message' => 'Tiene más de una operación sobre la que realizar el Pago Adicional',
    'detail' => 'Tiene más de una operación sobre la que realizar el Pago Adicional',
  ],
  9286 => [
    'code' => '9286',
    'error' => 'SIS0286',
    'message' => 'La operación sobre la que se quiere hacer la operación adicional no esta Aceptada',
    'detail' => 'La operación sobre la que se quiere hacer la operación adicional no esta Aceptada',
  ],
  9287 => [
    'code' => '9287',
    'error' => 'SIS0287',
    'message' => 'La Operación ha sobrepasado el importe para el Pago Adicional.',
    'detail' => 'La Operación ha sobrepasado el importe para el Pago Adicional.',
  ],
  9288 => [
    'code' => '9288',
    'error' => 'SIS0288',
    'message' => 'No se puede realizar otro pago Adicional. Se ha superado el número de pagos',
    'detail' => 'No se puede realizar otro pago Adicional. Se ha superado el número de pagos',
  ],
  9289 => [
    'code' => '9289',
    'error' => 'SIS0289',
    'message' => 'El importe del pago Adicional supera el máximo de días permitido.',
    'detail' => 'El importe del pago Adicional supera el máximo de días permitido.',
  ],
  9290 => [
    'code' => '9290',
    'error' => 'SIS0290',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9291 => [
    'code' => '9291',
    'error' => 'SIS0291',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9292 => [
    'code' => '9292',
    'error' => 'SIS0292',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9293 => [
    'code' => '9293',
    'error' => 'SIS0293',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9295 => [
    'code' => '9295',
    'error' => 'SIS0295',
    'message' => 'Duplicidad de operación. Se puede intentar de nuevo (1 minuto)',
    'detail' => 'Duplicidad de operación. Se puede intentar de nuevo (1 minuto)',
  ],
  9296 => [
    'code' => '9296',
    'error' => 'SIS0296',
    'message' => 'No se encuentra la operación Tarjeta en Archivo inicial',
    'detail' => 'No se encuentra la operación Tarjeta en Archivo inicial',
  ],
  9297 => [
    'code' => '9297',
    'error' => 'SIS0297',
    'message' => 'Número de operaciones sucesivas de Tarjeta en Archivo superado',
    'detail' => 'Número de operacipnes sucesivas de Tarjeta en Archivo superado',
  ],
  9298 => [
    'code' => '9298',
    'error' => 'SIS0298',
    'message' => 'No puede realizar este tipo de operativa. (Contacte con su entidad)',
    'detail' => 'No puede realizar este tipo de operativa. (Contacte con su entidad)',
  ],
  9299 => [
    'code' => '9299',
    'error' => 'SIS0299',
    'message' => 'Error en pago con PayPal',
    'detail' => 'Error en pago con PayPal',
  ],
  9300 => [
    'code' => '9300',
    'error' => 'SIS0300',
    'message' => 'Error en pago con PayPal',
    'detail' => 'Error en pago con PayPal',
  ],
  9301 => [
    'code' => '9301',
    'error' => 'SIS0301',
    'message' => 'Error en pago con PayPal',
    'detail' => 'Error en pago con PayPal',
  ],
  9302 => [
    'code' => '9302',
    'error' => 'SIS0302',
    'message' => 'Moneda no válida para pago con PayPal',
    'detail' => 'Moneda no válida para pago con PayPal',
  ],
  9304 => [
    'code' => '9304',
    'error' => 'SIS0304',
    'message' => 'No se permite pago fraccionado si la tarjeta no es de FINCONSUM',
    'detail' => 'No se permite pago fraccionado si la tarjeta no es de FINCONSUM',
  ],
  9305 => [
    'code' => '9305',
    'error' => 'SIS0305',
    'message' => 'Revisar la moneda de la operación',
    'detail' => 'Revisar la moneda de la operación',
  ],
  9306 => [
    'code' => '9306',
    'error' => 'SIS0306',
    'message' => 'Valor de Ds_Merchant_PrepaidCard no válido',
    'detail' => 'Valor de Ds_Merchant_PrepaidCard no válido',
  ],
  9307 => [
    'code' => '9307',
    'error' => 'SIS0307',
    'message' => 'Consulte con su entidad. Operativa de tarjeta regalo no permitida',
    'detail' => 'Consulte con su entidad. Operativa de tarjeta regalo no permitida',
  ],
  9308 => [
    'code' => '9308',
    'error' => 'SIS0308',
    'message' => 'Tiempo límite para recarga de tarjeta regalo superado',
    'detail' => 'Tiempo límite para recarga de tarjeta regalo superado',
  ],
  9309 => [
    'code' => '9309',
    'error' => 'SIS0309',
    'message' => 'Faltan datos adicionales para realizar la recarga de tarjeta prepago',
    'detail' => 'Faltan datos adicionales para realizar la recarga de tarjeta prepago',
  ],
  9310 => [
    'code' => '9310',
    'error' => 'SIS0310',
    'message' => 'Valor de Ds_Merchant_Prepaid_Expiry no válido',
    'detail' => 'Valor de Ds_Merchant_Prepaid_Expiry no válido',
  ],
  9311 => [
    'code' => '9311',
    'error' => 'SIS0311',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9319 => [
    'code' => '9319',
    'error' => 'SIS0319',
    'message' => 'El comercio no pertenece al grupo especificado en Ds_Merchant_Group',
    'detail' => 'El comercio no pertenece al grupo especificado en Ds_Merchant_Group',
  ],
  9320 => [
    'code' => '9320',
    'error' => 'SIS0320',
    'message' => 'Error generando la referencia',
    'detail' => 'Error generando la referencia',
  ],
  9321 => [
    'code' => '9321',
    'error' => 'SIS0321',
    'message' => 'El identificador no está asociado al comercio',
    'detail' => 'El identificador no está asociado al comercio',
  ],
  9322 => [
    'code' => '9322',
    'error' => 'SIS0322',
    'message' => 'Revise el formato del grupo',
    'detail' => 'Revise el formato del grupo',
  ],
  9323 => [
    'code' => '9323',
    'error' => 'SIS0323',
    'message' => 'Para el tipo de operación F (pago en dos fases) es necesario enviar uno de estos campos: Ds_Merchant_Customer_Mobile o Ds_Merchant_Customer_Mail',
    'detail' => 'Para el tipo de operación F (pago en dos fases) es necesario enviar uno de estos campos: Ds_Merchant_Customer_Mobile o Ds_Merchant_Customer_Mail',
  ],
  9324 => [
    'code' => '9324',
    'error' => 'SIS0324',
    'message' => 'Imposible enviar el link al cliente (revise la dirección mail)',
    'detail' => 'Imposible enviar el link al cliente (revise la dirección mail)',
  ],
  9326 => [
    'code' => '9326',
    'error' => 'SIS0326',
    'message' => 'Se han enviado datos de tarjeta en fase primera de un pago con dos fases',
    'detail' => 'Se han enviado datos de tarjeta en fase primera de un pago con dos fases',
  ],
  9327 => [
    'code' => '9327',
    'error' => 'SIS0327',
    'message' => 'No se ha enviado ni móvil ni email en fase primera de un pago con dos fases',
    'detail' => 'No se ha enviado ni móvil ni email en fase primera de un pago con dos fases',
  ],
  9328 => [
    'code' => '9328',
    'error' => 'SIS0328',
    'message' => 'Token de pago en dos fases inválido',
    'detail' => 'Token de pago en dos fases inválido',
  ],
  9329 => [
    'code' => '9329',
    'error' => 'SIS0329',
    'message' => 'No se puede recuperar el Token de pago en dos fases.',
    'detail' => 'No se puede recuperar el Token de pago en dos fases.',
  ],
  9330 => [
    'code' => '9330',
    'error' => 'SIS0330',
    'message' => 'Fechas incorrectas de pago dos fases',
    'detail' => 'Fechas incorrectas de pago dos fases',
  ],
  9331 => [
    'code' => '9331',
    'error' => 'SIS0331',
    'message' => 'La operación no tiene un estado válido o no existe.',
    'detail' => 'La operación no tiene un estado válido o no existe.',
  ],
  9332 => [
    'code' => '9332',
    'error' => 'SIS0332',
    'message' => 'El importe de la operación original y de la devolución debe ser idéntico',
    'detail' => 'El importe de la operación original y de la devolución debe ser idéntico',
  ],
  9334 => [
    'code' => '9334',
    'error' => 'SIS0334',
    'message' => 'Se tiene que dirigir a su entidad.',
    'detail' => 'Se tiene que dirigir a su entidad.',
  ],
  9335 => [
    'code' => '9335',
    'error' => 'SIS0335',
    'message' => 'Revise el valor que envía',
    'detail' => 'Revise el valor que envía',
  ],
  9336 => [
    'code' => '9336',
    'error' => 'SIS0336',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9337 => [
    'code' => '9337',
    'error' => 'SIS0337',
    'message' => 'Error interno (iUPAY)',
    'detail' => 'Error interno (iUPAY)',
  ],
  9338 => [
    'code' => '9338',
    'error' => 'SIS0338',
    'message' => 'No se encuentra la operación iUPAY',
    'detail' => 'No se encuentra la operación iUPAY',
  ],
  9339 => [
    'code' => '9339',
    'error' => 'SIS0339',
    'message' => 'El comercio no dispone de pago iUPAY (consulte a su entidad)',
    'detail' => 'El comercio no dispone de pago iUPAY (consulte a su entidad)',
  ],
  9340 => [
    'code' => '9340',
    'error' => 'SIS0340',
    'message' => 'Respuesta recibida desde iUPAY no válida',
    'detail' => 'Respuesta recibida desde iUPAY no válida',
  ],
  9341 => [
    'code' => '9341',
    'error' => 'SIS0341',
    'message' => 'Error interno (iUPAY)',
    'detail' => 'Error interno (iUPAY)',
  ],
  9344 => [
    'code' => '9344',
    'error' => 'SIS0344',
    'message' => 'El usuario ha elegido aplazar el pago, pero no ha aceptado las condiciones de las cuotas',
    'detail' => 'El usuario ha elegido aplazar el pago, pero no ha aceptado las condiciones de las cuotas',
  ],
  9345 => [
    'code' => '9345',
    'error' => 'SIS0345',
    'message' => 'Revisar el número de plazos que está enviando.',
    'detail' => 'Revisar el número de plazos que está enviando.',
  ],
  9346 => [
    'code' => '9346',
    'error' => 'SIS0346',
    'message' => 'Revisar formato en parámetro DS_MERCHANT_PAY_TYPE',
    'detail' => 'Revisar formato en parámetro DS_MERCHANT_PAY_TYPE',
  ],
  9347 => [
    'code' => '9347',
    'error' => 'SIS0347',
    'message' => 'El comercio no está configurado para realizar la consulta de BIN.',
    'detail' => 'El comercio no está configurado para realizar la consulta de BIN.',
  ],
  9348 => [
    'code' => '9348',
    'error' => 'SIS0348',
    'message' => 'El BIN indicado en la consulta no se reconoce',
    'detail' => 'El BIN indicado en la consulta no se reconoce',
  ],
  9349 => [
    'code' => '9349',
    'error' => 'SIS0349',
    'message' => 'Los datos de importe y DCC enviados no coinciden con los registrados en SIS',
    'detail' => 'Los datos de importe y DCC enviados no coinciden con los registrados en SIS',
  ],
  9350 => [
    'code' => '9350',
    'error' => 'SIS0350',
    'message' => 'No hay datos DCC registrados en SIS para este número de pedido',
    'detail' => 'No hay datos DCC registrados en SIS para este número de pedido',
  ],
  9351 => [
    'code' => '9351',
    'error' => 'SIS0351',
    'message' => 'Autenticación prepago incorrecta',
    'detail' => 'Autenticación prepago incorrecta',
  ],
  9352 => [
    'code' => '9352',
    'error' => 'SIS0352',
    'message' => 'El tipo de firma no permite esta operativa',
    'detail' => 'El tipo de firma no permite esta operativa',
  ],
  9353 => [
    'code' => '9353',
    'error' => 'SIS0353',
    'message' => 'Clave no válida',
    'detail' => 'Clave no válida',
  ],
  9354 => [
    'code' => '9354',
    'error' => 'SIS0354',
    'message' => 'Error descifrando petición al SIS',
    'detail' => 'Error descifrando petición al SIS',
  ],
  9355 => [
    'code' => '9355',
    'error' => 'SIS0355',
    'message' => 'El comercio-terminal enviado en los datos cifrados no coincide con el enviado en la petición',
    'detail' => 'El comercio-terminal enviado en los datos cifrados no coincide con el enviado en la petición',
  ],
  9356 => [
    'code' => '9356',
    'error' => 'SIS0356',
    'message' => 'El comercio no tiene activo control de fraude (consulte con su entidad)',
    'detail' => 'El comercio no tiene activo control de fraude (consulte con su entidad)',
  ],
  9357 => [
    'code' => '9357',
    'error' => 'SIS0357',
    'message' => 'El comercio tiene activo control de fraude y no existe campo ds_merchant_merchantscf',
    'detail' => 'El comercio tiene activo control de fraude y no existe campo ds_merchant_merchantscf',
  ],
  9358 => [
    'code' => '9358',
    'error' => 'SIS0358',
    'message' => 'No dispone de pago iUPAY',
    'detail' => 'No dispone de pago iUPAY',
  ],
  9370 => [
    'code' => '9370',
    'error' => 'SIS0370',
    'message' => 'Error en formato Scf_Merchant_Nif. Longitud máxima 16',
    'detail' => 'Error en formato Scf_Merchant_Nif. Longitud máxima 16',
  ],
  9371 => [
    'code' => '9371',
    'error' => 'SIS0371',
    'message' => 'Error en formato Scf_Merchant_Name. Longitud máxima 30',
    'detail' => 'Error en formato Scf_Merchant_Name. Longitud máxima 30',
  ],
  9372 => [
    'code' => '9372',
    'error' => 'SIS0372',
    'message' => 'Error en formato Scf_Merchant_First_Name. Longitud máxima 30',
    'detail' => 'Error en formato Scf_Merchant_First_Name. Longitud máxima 30',
  ],
  9373 => [
    'code' => '9373',
    'error' => 'SIS0373',
    'message' => 'Error en formato Scf_Merchant_Last_Name. Longitud máxima 30',
    'detail' => 'Error en formato Scf_Merchant_Last_Name. Longitud máxima 30',
  ],
  9374 => [
    'code' => '9374',
    'error' => 'SIS0374',
    'message' => 'Error en formato Scf_Merchant_User. Longitud máxima 45',
    'detail' => 'Error en formato Scf_Merchant_User. Longitud máxima 45',
  ],
  9375 => [
    'code' => '9375',
    'error' => 'SIS0375',
    'message' => 'Error en formato Scf_Affinity_Card. Valores posibles \'S\' o \'N\'. Longitud máxima 1',
    'detail' => 'Error en formato Scf_Affinity_Card. Valores posibles \'S\' o \'N\'. Longitud máxima 1',
  ],
  9376 => [
    'code' => '9376',
    'error' => 'SIS0376',
    'message' => 'Error en formato Scf_Payment_Financed. Valores posibles \'S\' o \'N\'. Longitud máxima 1',
    'detail' => 'Error en formato Scf_Payment_Financed. Valores posibles \'S\' o \'N\'. Longitud máxima 1',
  ],
  9377 => [
    'code' => '9377',
    'error' => 'SIS0377',
    'message' => 'Error en formato Scf_Ticket_Departure_Point. Longitud máxima 30',
    'detail' => 'Error en formato Scf_Ticket_Departure_Point. Longitud máxima 30',
  ],
  9378 => [
    'code' => '9378',
    'error' => 'SIS0378',
    'message' => 'Error en formato Scf_Ticket_Destination. Longitud máxima 30',
    'detail' => 'Error en formato Scf_Ticket_Destination. Longitud máxima 30',
  ],
  9379 => [
    'code' => '9379',
    'error' => 'SIS0379',
    'message' => 'Error en formato Scf_Ticket_Departure_Date. Debe tener formato yyyyMMddHHmmss.',
    'detail' => 'Error en formato Scf_Ticket_Departure_Date. Debe tener formato yyyyMMddHHmmss.',
  ],
  9380 => [
    'code' => '9380',
    'error' => 'SIS0380',
    'message' => 'Error en formato Scf_Ticket_Num_Passengers. Longitud máxima 1.',
    'detail' => 'Error en formato Scf_Ticket_Num_Passengers. Longitud máxima 1.',
  ],
  9381 => [
    'code' => '9381',
    'error' => 'SIS0381',
    'message' => 'Error en formato Scf_Passenger_Dni. Longitud máxima 16.',
    'detail' => 'Error en formato Scf_Passenger_Dni. Longitud máxima 16.',
  ],
  9382 => [
    'code' => '9382',
    'error' => 'SIS0382',
    'message' => 'Error en formato Scf_Passenger_Name. Longitud máxima 30.',
    'detail' => 'Error en formato Scf_Passenger_Name. Longitud máxima 30.',
  ],
  9383 => [
    'code' => '9383',
    'error' => 'SIS0383',
    'message' => 'Error en formato Scf_Passenger_First_Name. Longitud máxima 30.',
    'detail' => 'Error en formato Scf_Passenger_First_Name. Longitud máxima 30.',
  ],
  9384 => [
    'code' => '9384',
    'error' => 'SIS0384',
    'message' => 'Error en formato Scf_Passenger_Last_Name. Longitud máxima 30.',
    'detail' => 'Error en formato Scf_Passenger_Last_Name. Longitud máxima 30.',
  ],
  9385 => [
    'code' => '9385',
    'error' => 'SIS0385',
    'message' => 'Error en formato Scf_Passenger_Check_Luggage. Valores posibles \'S\' o \'N\'. Longitud máxima 1.',
    'detail' => 'Error en formato Scf_Passenger_Check_Luggage. Valores posibles \'S\' o \'N\'. Longitud máxima 1.',
  ],
  9386 => [
    'code' => '9386',
    'error' => 'SIS0386',
    'message' => 'Error en formato Scf_Passenger_Special_luggage. Valores posibles \'S\' o \'N\'. Longitud máxima 1.',
    'detail' => 'Error en formato Scf_Passenger_Special_luggage. Valores posibles \'S\' o \'N\'. Longitud máxima 1.',
  ],
  9387 => [
    'code' => '9387',
    'error' => 'SIS0387',
    'message' => 'Error en formato Scf_Passenger_Insurance_Trip. Valores posibles \'S\' o \'N\'. Longitud máxima 1.',
    'detail' => 'Error en formato Scf_Passenger_Insurance_Trip. Valores posibles \'S\' o \'N\'. Longitud máxima 1.',
  ],
  9388 => [
    'code' => '9388',
    'error' => 'SIS0388',
    'message' => 'Error en formato Scf_Passenger_Type_Trip. Valores posibles \'N\' o \'I\'. Longitud máxima 1.',
    'detail' => 'Error en formato Scf_Passenger_Type_Trip. Valores posibles \'N\' o \'I\'. Longitud máxima 1.',
  ],
  9389 => [
    'code' => '9389',
    'error' => 'SIS0389',
    'message' => 'Error en formato Scf_Passenger_Pet. Valores posibles \'S\' o \'N\'. Longitud máxima 1.',
    'detail' => 'Error en formato Scf_Passenger_Pet. Valores posibles \'S\' o \'N\'. Longitud máxima 1.',
  ],
  9390 => [
    'code' => '9390',
    'error' => 'SIS0390',
    'message' => 'Error en formato Scf_Order_Channel. Valores posibles \'M\'(móvil), \'P\'(PC) o \'T\'(Tablet)',
    'detail' => 'Error en formato Scf_Order_Channel. Valores posibles \'M\'(móvil), \'P\'(PC) o \'T\'(Tablet)',
  ],
  9391 => [
    'code' => '9391',
    'error' => 'SIS0391',
    'message' => 'Error en formato Scf_Order_Total_Products. Debe tener formato numérico y longitud máxima de 3.',
    'detail' => 'Error en formato Scf_Order_Total_Products. Debe tener formato numérico y longitud máxima de 3.',
  ],
  9392 => [
    'code' => '9392',
    'error' => 'SIS0392',
    'message' => 'Error en formato Scf_Order_Different_Products. Debe tener formato numérico y longitud máxima de 3.',
    'detail' => 'Error en formato Scf_Order_Different_Products. Debe tener formato numérico y longitud máxima de 3.',
  ],
  9393 => [
    'code' => '9393',
    'error' => 'SIS0393',
    'message' => 'Error en formato Scf_Order_Amount. Debe tener formato numérico y longitud máxima de 19.',
    'detail' => 'Error en formato Scf_Order_Amount. Debe tener formato numérico y longitud máxima de 19.',
  ],
  9394 => [
    'code' => '9394',
    'error' => 'SIS0394',
    'message' => 'Error en formato Scf_Order_Max_Amount. Debe tener formato numérico y longitud máxima de 19.',
    'detail' => 'Error en formato Scf_Order_Max_Amount. Debe tener formato numérico y longitud máxima de 19.',
  ],
  9395 => [
    'code' => '9395',
    'error' => 'SIS0395',
    'message' => 'Error en formato Scf_Order_Coupon. Valores posibles \'S\' o \'N\'',
    'detail' => 'Error en formato Scf_Order_Coupon. Valores posibles \'S\' o \'N\'',
  ],
  9396 => [
    'code' => '9396',
    'error' => 'SIS0396',
    'message' => 'Error en formato Scf_Order_Show_Type. Debe longitud máxima de 30.',
    'detail' => 'Error en formato Scf_Order_Show_Type. Debe longitud máxima de 30.',
  ],
  9397 => [
    'code' => '9397',
    'error' => 'SIS0397',
    'message' => 'Error en formato Scf_Wallet_Identifier',
    'detail' => 'Error en formato Scf_Wallet_Identifier',
  ],
  9398 => [
    'code' => '9398',
    'error' => 'SIS0398',
    'message' => 'Error en formato Scf_Wallet_Client_Identifier',
    'detail' => 'Error en formato Scf_Wallet_Client_Identifier',
  ],
  9399 => [
    'code' => '9399',
    'error' => 'SIS0399',
    'message' => 'Error en formato Scf_Merchant_Ip_Address',
    'detail' => 'Error en formato Scf_Merchant_Ip_Address',
  ],
  9400 => [
    'code' => '9400',
    'error' => 'SIS0400',
    'message' => 'Error en formato Scf_Merchant_Proxy',
    'detail' => 'Error en formato Scf_Merchant_Proxy',
  ],
  9401 => [
    'code' => '9401',
    'error' => 'SIS0401',
    'message' => 'Error en formato Ds_Merchant_Mail_Phone_Number. Debe ser numérico y de longitud máxima 19',
    'detail' => 'Error en formato Ds_Merchant_Mail_Phone_Number. Debe ser numérico y de longitud máxima 19',
  ],
  9402 => [
    'code' => '9402',
    'error' => 'SIS0402',
    'message' => 'Error en llamada a SafetyPay para solicitar token url',
    'detail' => 'Error en llamada a SafetyPay para solicitar token url',
  ],
  9403 => [
    'code' => '9403',
    'error' => 'SIS0403',
    'message' => 'Error en proceso de solicitud de token url a SafetyPay',
    'detail' => 'Error en proceso de solicitud de token url a SafetyPay',
  ],
  9404 => [
    'code' => '9404',
    'error' => 'SIS0404',
    'message' => 'Error en una petición a SafetyPay',
    'detail' => 'Error en una petición a SafetyPay',
  ],
  9405 => [
    'code' => '9405',
    'error' => 'SIS0405',
    'message' => 'Solicitud de token url denegada (SAFETYPAY)',
    'detail' => 'Solicitud de token url denegada (SAFETYPAY)',
  ],
  9406 => [
    'code' => '9406',
    'error' => 'SIS0406',
    'message' => 'Se tiene que poner en contacto con su entidad para que revisen la configuración del sector de actividad de su comercio',
    'detail' => 'Se tiene que poner en contacto con su entidad para que revisen la configuración del sector de actividad de su comercio',
  ],
  9407 => [
    'code' => '9407',
    'error' => 'SIS0407',
    'message' => 'El importe de la operación supera el máximo permitido para realizar un pago de premio de apuesta (Gambling)',
    'detail' => 'El importe de la operación supera el máximo permitido para realizar un pago de premio de apuesta (Gambling)',
  ],
  9408 => [
    'code' => '9408',
    'error' => 'SIS0408',
    'message' => 'La tarjeta debe de haber operado durante el último año para poder realizar un pago de premio de apuesta (Gambling)',
    'detail' => 'La tarjeta debe de haber operado durante el último año para poder realizar un pago de premio de apuesta (Gambling)',
  ],
  9409 => [
    'code' => '9409',
    'error' => 'SIS0409',
    'message' => 'La tarjeta debe ser una Visa o MasterCard nacional para realizar un pago de premio de apuesta (Gambling)',
    'detail' => 'La tarjeta debe ser una Visa o MasterCard nacional para realizar un pago de premio de apuesta (Gambling)',
  ],
  9410 => [
    'code' => '9410',
    'error' => 'SIS0410',
    'message' => 'Denegada por el emisor',
    'detail' => 'Denegada por el emisor',
  ],
  9411 => [
    'code' => '9411',
    'error' => 'SIS0411',
    'message' => 'Error en la configuración del comercio (Remitir a su entidad)',
    'detail' => 'Error en la configuración del comercio (Remitir a su entidad)',
  ],
  9412 => [
    'code' => '9412',
    'error' => 'SIS0412',
    'message' => 'La firma no es correcta',
    'detail' => 'La firma no es correcta',
  ],
  9413 => [
    'code' => '9413',
    'error' => 'SIS0413',
    'message' => 'Denegada, consulte con su entidad.',
    'detail' => 'Denegada, consulte con su entidad.',
  ],
  9415 => [
    'code' => '9415',
    'error' => 'SIS0415',
    'message' => 'El tipo de producto no es correcto',
    'detail' => 'El tipo de producto no es correcto',
  ],
  9428 => [
    'code' => '9428',
    'error' => 'SIS0428',
    'message' => 'Operación debito no segura',
    'detail' => 'Operación debito no segura',
  ],
  9429 => [
    'code' => '9429',
    'error' => 'SIS0429',
    'message' => 'Error en la versión enviada por el comercio (Ds_SignatureVersion)',
    'detail' => 'Error en la versión enviada por el comercio (Ds_SignatureVersion)',
  ],
  9430 => [
    'code' => '9430',
    'error' => 'SIS0430',
    'message' => 'Error al decodificar el parámetro Ds_MerchantParameters',
    'detail' => 'Error al decodificar el parámetro Ds_MerchantParameters',
  ],
  9431 => [
    'code' => '9431',
    'error' => 'SIS0431',
    'message' => 'Error del objeto JSON que se envía codificado en el parámetro Ds_MerchantParameters',
    'detail' => 'Error del objeto JSON que se envía codificado en el parámetro Ds_MerchantParameters',
  ],
  9432 => [
    'code' => '9432',
    'error' => 'SIS0432',
    'message' => 'Error FUC del comercio erróneo',
    'detail' => 'Error FUC del comercio erróneo',
  ],
  9433 => [
    'code' => '9433',
    'error' => 'SIS0433',
    'message' => 'Error Terminal del comercio erróneo',
    'detail' => 'Error Terminal del comercio erróneo',
  ],
  9434 => [
    'code' => '9434',
    'error' => 'SIS0434',
    'message' => 'Error ausencia de número de pedido en la op. del comercio',
    'detail' => 'Error ausencia de número de pedido en la op. del comercio',
  ],
  9435 => [
    'code' => '9435',
    'error' => 'SIS0435',
    'message' => 'Error en el cálculo de la firma',
    'detail' => 'Error en el cálculo de la firma',
  ],
  9436 => [
    'code' => '9436',
    'error' => 'SIS0436',
    'message' => 'Error en la construcción del elemento padre <request></request>',
    'detail' => 'Error en la construcción del elemento padre <request></request>',
  ],
  9437 => [
    'code' => '9437',
    'error' => 'SIS0437',
    'message' => 'Error en la construcción del elemento <ds_signatureversion></ds_signatureversion>',
    'detail' => 'Error en la construcción del elemento <ds_signatureversion></ds_signatureversion>',
  ],
  9438 => [
    'code' => '9438',
    'error' => 'SIS0438',
    'message' => 'Error en la construcción del elemento <datosentrada></datosentrada>',
    'detail' => 'Error en la construcción del elemento <datosentrada></datosentrada>',
  ],
  9439 => [
    'code' => '9439',
    'error' => 'SIS0439',
    'message' => 'Error en la construcción del elemento <ds_signature></ds_signature>',
    'detail' => 'Error en la construcción del elemento <ds_signature></ds_signature>',
  ],
  9440 => [
    'code' => '9440',
    'error' => 'SIS0440',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9441 => [
    'code' => '9441',
    'error' => 'SIS0441',
    'message' => 'Error no tenemos bancos para Mybank',
    'detail' => 'Error no tenemos bancos para Mybank',
  ],
  9442 => [
    'code' => '9442',
    'error' => 'SIS0442',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9443 => [
    'code' => '9443',
    'error' => 'SIS0443',
    'message' => 'No se permite pago con esta tarjeta',
    'detail' => 'No se permite pago con esta tarjeta',
  ],
  9444 => [
    'code' => '9444',
    'error' => 'SIS0444',
    'message' => 'Se está intentando acceder usando firmas antiguas y el comercio está configurado como HMAC SHA256',
    'detail' => 'Se está intentando acceder usando firmas antiguas y el comercio está configurado como HMAC SHA256',
  ],
  9445 => [
    'code' => '9445',
    'error' => 'SIS0445',
    'message' => 'Error genérico',
    'detail' => 'Error genérico',
  ],
  9446 => [
    'code' => '9446',
    'error' => 'SIS0446',
    'message' => 'Es obligatorio indicar la forma de pago',
    'detail' => 'Es obligatorio indicar la forma de pago',
  ],
  9448 => [
    'code' => '9448',
    'error' => 'SIS0448',
    'message' => 'El comercio no tiene el método de pago "Pago DINERS"',
    'detail' => 'El comercio no tiene el método de pago "Pago DINERS"',
  ],
  9449 => [
    'code' => '9449',
    'error' => 'SIS0449',
    'message' => 'Tipo de pago de la operación no permitido para este tipo de tarjeta',
    'detail' => 'Tipo de pago de la operación no permitido para este tipo de tarjeta',
  ],
  9450 => [
    'code' => '9450',
    'error' => 'SIS0450',
    'message' => 'Tipo de pago de la operación no permitido para este tipo de tarjeta',
    'detail' => 'Tipo de pago de la operación no permitido para este tipo de tarjeta',
  ],
  9451 => [
    'code' => '9451',
    'error' => 'SIS0451',
    'message' => 'Tipo de pago de la operación no permitido para este tipo de tarjeta',
    'detail' => 'Tipo de pago de la operación no permitido para este tipo de tarjeta',
  ],
  9453 => [
    'code' => '9453',
    'error' => 'SIS0453',
    'message' => 'No se permiten pagos con ese tipo de tarjeta',
    'detail' => 'No se permiten pagos con ese tipo de tarjeta',
  ],
  9454 => [
    'code' => '9454',
    'error' => 'SIS0454',
    'message' => 'No se permiten pagos con ese tipo de tarjeta',
    'detail' => 'No se permiten pagos con ese tipo de tarjeta',
  ],
  9455 => [
    'code' => '9455',
    'error' => 'SIS0455',
    'message' => 'No se permiten pagos con ese tipo de tarjeta',
    'detail' => 'No se permiten pagos con ese tipo de tarjeta',
  ],
  9456 => [
    'code' => '9456',
    'error' => 'SIS0456',
    'message' => 'No tiene método de pago configurado (Consulte a su entidad)',
    'detail' => 'No tiene método de pago configurado (Consulte a su entidad)',
  ],
  9459 => [
    'code' => '9459',
    'error' => 'SIS0459',
    'message' => 'No tiene método de pago configurado (Consulte a su entidad)',
    'detail' => 'No tiene método de pago configurado (Consulte a su entidad)',
  ],
  9460 => [
    'code' => '9460',
    'error' => 'SIS0460',
    'message' => 'No tiene método de pago configurado (Consulte a su entidad)',
    'detail' => 'No tiene método de pago configurado (Consulte a su entidad)',
  ],
  9461 => [
    'code' => '9461',
    'error' => 'SIS0461',
    'message' => 'No tiene método de pago configurado (Consulte a su entidad)',
    'detail' => 'No tiene método de pago configurado (Consulte a su entidad)',
  ],
  9462 => [
    'code' => '9462',
    'error' => 'SIS0462',
    'message' => 'Método de pago no disponible para conexión HOST to HOST',
    'detail' => 'Método de pago no disponible para conexión HOST to HOST',
  ],
  9463 => [
    'code' => '9463',
    'error' => 'SIS0463',
    'message' => 'Método de pago no permitido',
    'detail' => 'Método de pago no permitido',
  ],
  9465 => [
    'code' => '9465',
    'error' => 'SIS0465',
    'message' => 'No tiene método de pago configurado (Consulte a su entidad)',
    'detail' => 'No tiene método de pago configurado (Consulte a su entidad)',
  ],
  9466 => [
    'code' => '9466',
    'error' => 'SIS0466',
    'message' => 'La referencia que se está utilizando no existe.',
    'detail' => 'La referencia que se está utilizando no existe.',
  ],
  9467 => [
    'code' => '9467',
    'error' => 'SIS0467',
    'message' => 'La referencia que se está utilizando está dada de baja',
    'detail' => 'La referencia que se está utilizando está dada de baja',
  ],
  9468 => [
    'code' => '9468',
    'error' => 'SIS0468',
    'message' => 'Se está utilizando una referencia que se generó con un adquirente distinto al adquirente que la utiliza.',
    'detail' => 'Se está utilizando una referencia que se generó con un adquirente distinto al adquirente que la utiliza.',
  ],
  9469 => [
    'code' => '9469',
    'error' => 'SIS0469',
    'message' => 'Error, no se ha superado el proceso de fraude MR',
    'detail' => 'Error, no se ha superado el proceso de fraude MR',
  ],
  9470 => [
    'code' => '9470',
    'error' => 'SIS0470',
    'message' => 'Error la solicitud del primer factor ha fallado.',
    'detail' => 'Error la solicitud del primer factor ha fallado.',
  ],
  9471 => [
    'code' => '9471',
    'error' => 'SIS0471',
    'message' => 'Error en la URL de redirección de solicitud del primer factor.',
    'detail' => 'Error en la URL de redirección de solicitud del primer factor.',
  ],
  9472 => [
    'code' => '9472',
    'error' => 'SIS0472',
    'message' => 'Error al montar la petición de Autenticación de PPII.',
    'detail' => 'Error al montar la petición de Autenticación de PPII.',
  ],
  9473 => [
    'code' => '9473',
    'error' => 'SIS0473',
    'message' => 'Error la respuesta de la petición de Autenticación de PPII es nula.',
    'detail' => 'Error la respuesta de la petición de Autenticación de PPII es nula.',
  ],
  9474 => [
    'code' => '9474',
    'error' => 'SIS0474',
    'message' => 'Error el statusCode de la respuesta de la petición de Autenticación de PPII es nulo',
    'detail' => 'Error el statusCode de la respuesta de la petición de Autenticación de PPII es nulo',
  ],
  9475 => [
    'code' => '9475',
    'error' => 'SIS0475',
    'message' => 'Error el idOperacion de la respuesta de la petición de Autenticación de PPII es nulo',
    'detail' => 'Error el idOperacion de la respuesta de la petición de Autenticación de PPII es nulo',
  ],
  9476 => [
    'code' => '9476',
    'error' => 'SIS0476',
    'message' => 'Error tratando la respuesta de la Autenticación de PPII',
    'detail' => 'Error tratando la respuesta de la Autenticación de PPII',
  ],
  9477 => [
    'code' => '9477',
    'error' => 'SIS0477',
    'message' => 'Error se ha superado el tiempo definido entre el paso 1 y 2 de PPII',
    'detail' => 'Error se ha superado el tiempo definido entre el paso 1 y 2 de PPII',
  ],
  9478 => [
    'code' => '9478',
    'error' => 'SIS0478',
    'message' => 'Error tratando la respuesta de la Autorización de PPII',
    'detail' => 'Error tratando la respuesta de la Autorización de PPII',
  ],
  9479 => [
    'code' => '9479',
    'error' => 'SIS0479',
    'message' => 'Error la respuesta de la petición de Autorización de PPII es nula',
    'detail' => 'Error la respuesta de la petición de Autorización de PPII es nula',
  ],
  9480 => [
    'code' => '9480',
    'error' => 'SIS0480',
    'message' => 'Error el statusCode de la respuesta de la petición de Autorización de PPII es nulo.',
    'detail' => 'Error el statusCode de la respuesta de la petición de Autorización de PPII es nulo.',
  ],
  9481 => [
    'code' => '9481',
    'error' => 'SIS0481',
    'message' => 'Error, el comercio no es Payment Facilitator',
    'detail' => 'Error, el comercio no es Payment Facilitator',
  ],
  9482 => [
    'code' => '9482',
    'error' => 'SIS0482',
    'message' => 'Error el idOperacion de la respuesta de una Autorización OK es nulo o no coincide con el idOp. de la Auth.',
    'detail' => 'Error el idOperacion de la respuesta de una Autorización OK es nulo o no coincide con el idOp. de la Auth.',
  ],
  9483 => [
    'code' => '9483',
    'error' => 'SIS0483',
    'message' => 'Error la respuesta de la petición de devolución de PPII es nula.',
    'detail' => 'Error la respuesta de la petición de devolución de PPII es nula.',
  ],
  9484 => [
    'code' => '9484',
    'error' => 'SIS0484',
    'message' => 'Error el statusCode o el idPeticion de la respuesta de la petición de Devolución de PPII es nulo.',
    'detail' => 'Error el statusCode o el idPeticion de la respuesta de la petición de Devolución de PPII es nulo.',
  ],
  9485 => [
    'code' => '9485',
    'error' => 'SIS0485',
    'message' => 'Error producido por la denegación de la devolución.',
    'detail' => 'Error producido por la denegación de la devolución.',
  ],
  9486 => [
    'code' => '9486',
    'error' => 'SIS0486',
    'message' => 'Error la respuesta de la petición de consulta de PPII es nula.',
    'detail' => 'Error la respuesta de la petición de consulta de PPII es nula.',
  ],
  9487 => [
    'code' => '9487',
    'error' => 'SIS0487',
    'message' => 'El comercio-terminal no tiene habilitado el método de pago Paygold.',
    'detail' => 'El comercio-terminal no tiene habilitado el método de pago Paygold.',
  ],
  9488 => [
    'code' => '9488',
    'error' => 'SIS0488',
    'message' => 'El comercio no tiene el método de pago "Pago MOTO/Manual" y la operación viene marcada como pago MOTO.',
    'detail' => 'El comercio no tiene el método de pago "Pago MOTO/Manual" y la operación viene marcada como pago MOTO.',
  ],
  9489 => [
    'code' => '9489',
    'error' => 'SIS0489',
    'message' => 'Error de datos. Operación MPI Externo no permitida',
    'detail' => 'Error de datos. Operación MPI Externo no permitida',
  ],
  9490 => [
    'code' => '9490',
    'error' => 'SIS0490',
    'message' => 'Error de datos. Se reciben parametros MPI Redsys en operación MPI Externo',
    'detail' => 'Error de datos. Se reciben parametros MPI Redsys en operación MPI Externo',
  ],
  9491 => [
    'code' => '9491',
    'error' => 'SIS0491',
    'message' => 'Error de datos. SecLevel no permitido en operación MPI Externo',
    'detail' => 'Error de datos. SecLevel no permitido en operación MPI Externo',
  ],
  9492 => [
    'code' => '9492',
    'error' => 'SIS0492',
    'message' => 'Error de datos. Se reciben parametros MPI Externo en operación MPI Redsys',
    'detail' => 'Error de datos. Se reciben parametros MPI Externo en operación MPI Redsys',
  ],
  9493 => [
    'code' => '9493',
    'error' => 'SIS0493',
    'message' => 'Error de datos. Se reciben parametros de MPI en operación no segura',
    'detail' => 'Error de datos. Se reciben parametros de MPI en operación no segura',
  ],
  9494 => [
    'code' => '9494',
    'error' => 'SIS0494',
    'message' => 'FIRMA OBSOLETA',
    'detail' => 'FIRMA OBSOLETA',
  ],
  9700 => [
    'code' => '9700',
    'error' => 'SIS0700',
    'message' => 'PayPal a devuelto un KO',
    'detail' => 'PayPal a devuelto un KO',
  ],
  9801 => [
    'code' => '9801',
    'error' => 'SIS0801',
    'message' => 'Denegada por iUPAY',
    'detail' => 'Denegada por iUPAY',
  ],
  9899 => [
    'code' => '9899',
    'error' => 'SIS0899',
    'message' => 'No están correctamente firmados los datos que nos envían en el Ds_Merchant_Data.',
    'detail' => 'No están correctamente firmados los datos que nos envían en el Ds_Merchant_Data.',
  ],
  9900 => [
    'code' => '9900',
    'error' => 'SIS0900',
    'message' => 'SafetyPay ha devuelto un KO',
    'detail' => 'SafetyPay ha devuelto un KO',
  ],
  9909 => [
    'code' => '9909',
    'error' => 'SIS0909',
    'message' => 'Error interno',
    'detail' => 'Error interno',
  ],
  9912 => [
    'code' => '9912',
    'error' => 'SIS0912',
    'message' => 'Emisor no disponible',
    'detail' => 'Emisor no disponible',
  ],
  9913 => [
    'code' => '9913',
    'error' => 'SIS0913',
    'message' => 'Excepción en el envío SOAP de la notificación',
    'detail' => 'Excepción en el envío SOAP de la notificación',
  ],
  9914 => [
    'code' => '9914',
    'error' => 'SIS0914',
    'message' => 'Respuesta KO en el envío SOAP de la notificación',
    'detail' => 'Respuesta KO en el envío SOAP de la notificación',
  ],
  9915 => [
    'code' => '9915',
    'error' => 'SIS0915',
    'message' => 'Cancelado por el titular',
    'detail' => 'Cancelado por el titular',
  ],
  9928 => [
    'code' => '9928',
    'error' => 'SIS0928',
    'message' => 'ANULACIÓN DE PREAUTORIZACIÓN REALIZADA POR EL SISTEMA',
    'detail' => 'El titular ha cancelado la preautorización',
  ],
  9929 => [
    'code' => '9929',
    'error' => 'SIS0929',
    'message' => 'ANULACIÓN DE PREAUTORIZACIÓN REALIZADA POR EL COMERCIO',
    'detail' => 'El titular ha cancelado la operación',
  ],
  9930 => [
    'code' => '9930',
    'error' => 'SIS0930',
    'message' => 'La transferencia está pendiente',
    'detail' => 'La transferencia está pendiente',
  ],
  9931 => [
    'code' => '9931',
    'error' => 'SIS0931',
    'message' => 'Consulte con su entidad',
    'detail' => 'Consulte con su entidad',
  ],
  9932 => [
    'code' => '9932',
    'error' => 'SIS0932',
    'message' => 'Denegada por Fraude (LINX)',
    'detail' => 'Denegada por Fraude (LINX)',
  ],
  9933 => [
    'code' => '9933',
    'error' => 'SIS0933',
    'message' => 'Denegada por Fraude (LINX)',
    'detail' => 'Denegada por Fraude (LINX)',
  ],
  9934 => [
    'code' => '9934',
    'error' => 'SIS0944',
    'message' => 'Denegada (consulte con su entidad)',
    'detail' => 'Denegada (consulte con su entidad)',
  ],
  9935 => [
    'code' => '9935',
    'error' => 'SIS0935',
    'message' => 'Denegada (consulte con su entidad)',
    'detail' => 'Denegada (consulte con su entidad)',
  ],
  9992 => [
    'code' => '9992',
    'error' => 'SIS0992',
    'message' => 'Solicitud de PAE',
    'detail' => 'Solicitud de PAE',
  ],
  9994 => [
    'code' => '9994',
    'error' => 'SIS0994',
    'message' => 'No ha seleccionado ninguna tarjeta de la cartera.',
    'detail' => 'No ha seleccionado ninguna tarjeta de la cartera.',
  ],
  9995 => [
    'code' => '9995',
    'error' => 'SIS0995',
    'message' => 'Recarga de prepago denegada',
    'detail' => 'Recarga de prepago denegada',
  ],
  9996 => [
    'code' => '9996',
    'error' => 'SIS0996',
    'message' => 'No permite la recarga de tarjeta prepago',
    'detail' => 'No permite la recarga de tarjeta prepago',
  ],
  9997 => [
    'code' => '9997',
    'error' => 'SIS0997',
    'message' => 'Con una misma tarjeta hay varios pagos en "vuelo" en el momento que se finaliza uno el resto se deniegan con este código. Esta restricción se realiza por seguridad.',
    'detail' => 'Con una misma tarjeta hay varios pagos en "vuelo" en el momento que se finaliza uno el resto se deniegan con este código. Esta restricción se realiza por seguridad.',
  ],
  9998 => [
    'code' => '9998',
    'error' => 'SIS0998',
    'message' => 'Operación en proceso de solicitud de datos de tarjeta',
    'detail' => 'Operación en proceso de solicitud de datos de tarjeta',
  ],
  9999 => [
    'code' => '9999',
    'error' => 'SIS0999',
    'message' => 'Operación que ha sido redirigida al emisor a autenticar',
    'detail' => 'Operación que ha sido redirigida al emisor a autenticar',
  ],
];
